<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.replicated-cache">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="remote-timeout,async-marshalling,mode,queue-flush-interval,queue-size,module,statistics-enabled,batching,indexing,indexing-properties,jndi-name,start"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,replicated-cache"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.cache.node-factory.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.service-provider-registry.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-container.cache.transport.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.registry-entry.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.singleton-service-builder-factory.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.group.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.registry-factory.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.singleton-service-configurator-factory.$cache-container.$replicated-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.registry.$cache-container.$replicated-cache"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.transport.channel.$cache-container"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="indexing-properties" nillable="true"/>
        <param name="indexing" nillable="true"/>
        <param name="queue-flush-interval" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="start" nillable="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="statistics-enabled" nillable="true"/>
        <param name="batching" nillable="true"/>
        <param name="jndi-name" nillable="true"/>
        <param name="mode" nillable="true"/>
        <param name="async-marshalling" nillable="true"/>
        <param name="remote-timeout" nillable="true"/>
        <param name="queue-size" nillable="true"/>
        <param name="replicated-cache" feature-id="true"/>
    </params>
</feature-spec>